void main( void )
{
 preload_seq(514);
 preload_seq(70);
 int &talker;
 int &junk;
 &talker = 0;
 move(1, 6, 157, 1);
 freeze(&current_sprite);
 freeze(1);
 if (&story > 10)
 {
  unfreeze(&current_sprite);
  unfreeze(1);
  return;
 }
 say("`7啊！！！！！ ", &current_sprite);
 wait(250);
 //Fire here
 playsound(42,22050,0,0,0);
 &junk = create_sprite(385, 151, 11, 506, 1);
 sp_seq(&junk, 514); 
 sp_dir(&junk, 4);
 sp_speed(&junk, 4);
 sp_flying(&junk, 1);
 say("啊！！！！", 1);
 wait(290);
 move(1, 2, 240, 1);
 wait(560);
 sp_active(&junk, 0);
 &junk = create_sprite(157, 131, 7, 168, 1);
 sp_seq(&junk, 70);
 playsound(37,22050,0,0,0);
 wait(1200);
 sp_dir(1, 6);
 wait(500);
 say_stop("哪泥？！", 1);
 wait(250);
 say_stop("`7对不起。", &current_sprite);
 unfreeze(1);
 unfreeze(&current_sprite);
 //end
}

void talk( void )
{
 if (&story > 10)
 {
  freeze(&current_sprite);
  freeze(1);
  say_stop("`7啊，丁克，我的孩子你最近日子不错吧。", &current_sprite);
  say_stop("`7多谢你拯救了我们的小镇。", &current_sprite);
  wait(250);
  say_stop("嗨，没问题。", 1);
  wait(250);
  unfreeze(1);
  unfreeze(&current_sprite);
  return;
 }
 if (&talker == 2)
 {
  freeze(1);
  say_stop("`7我说完了，我还有更重要的事要担心呢。", &current_sprite);
  wait(250);
  say_stop("Hmmm.", 1);
  unfreeze(1);
  return;
 }
 freeze(1);
 freeze(&current_sprite);
 choice_start()
"了解新闻"
"关于此镇"
 "离开"
 choice_end()
  if (&result == 1)
  {
   say_stop("谢谢你送来的大火球！", 1);
   say_stop("你是不是有病啊？", 1);
   wait(250);
   say_stop("`7我，对不起，我当你是别人了。", &current_sprite);
   wait(250);
   say_stop("比如说？！", 1);
   wait(250);
   say_stop("`7比如说某个强盗，要来抢我的食物。", &current_sprite);
   say_stop("`7我必须保护我自己。", &current_sprite);
   wait(250);
   say_stop("这个小镇真邪门。", 1);
   &talker = 1;
  }
  if (&result == 2)
  {
   &junk = sp_dir(1, -1);
   say_stop("这个镇到底怎么回事？", 1);
   wait(250);
   say_stop("`7我，我们这里都信奉鸭子。", &current_sprite);
   sp_dir(1, 2);
   wait(1000);
   say_stop("-_- 哦，我转过去背对着你...", 1);
   say_stop("然后你会给我个正常的答复。", 1);
   wait(250);
   say_stop("准备 ....", 1);
   sp_dir(1, &junk);
   wait(750);
   say_stop("`7我们这里信奉鸭子。", &current_sprite);
   wait(1000);
   say_stop("我倒 ...", 1);
   say_stop("这难道是个宗教？", 1);
   wait(250);
   say_stop("`7是的，我们把一切都贡献给鸭子，我们这一切也多亏了鸭子。", &current_sprite);
   wait(250);
   say_stop("那好吧，关于那个，以后再说了。-_-#", 1);
   &talker = 2;
  }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 if (&story > 10)
 {
  freeze(&current_sprite);
  say_stop("`7你算是什么英雄！", &current_sprite);
  unfreeze(&current_sprite);
  return;
 }
 freeze(&current_sprite);
 say_stop("`7住手啦", &current_sprite);
 unfreeze(&current_sprite);
}
